org.apache.jmeter.gui.action

## Class SaveGraphics

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.SaveGraphics

- All Implemented Interfaces:
    Command

      public class SaveGraphics
      extends AbstractAction

  SaveGraphics action is meant to be a generic reusable Action. The class will use GUIPackage to get the current gui. Once it does, it checks to see if the element implements Printable interface. If it does, it call getPrintable() to get the JComponent. By default, it will use SaveGraphicsService to save a PNG file if no extension is provided. If either .png or .tif is in the filename, it will call SaveGraphicsService to save in the format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveGraphics()` Constructor for the Save object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAction(java.awt.event.ActionEvent e)`
    `java.util.Set<java.lang.String>` | `getActionNames()` Gets the ActionNames attribute of the Save object.

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

      `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaveGraphics

          public SaveGraphics()

      Constructor for the Save object.

  - ### Method Detail

    - #### getActionNames

          public java.util.Set<java.lang.String> getActionNames()

      Gets the ActionNames attribute of the Save object.
      Returns:
        the ActionNames value

    - #### doAction

          public void doAction(java.awt.event.ActionEvent e)
                        throws IllegalUserActionException

      Specified by:
        `doAction` in interface `Command`
      Overrides:
        `doAction` in class `AbstractAction`
      Throws:
        `IllegalUserActionException`
      See Also:
        `Command.doAction(ActionEvent)`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.